- hosts: localhost
  gather_facts: False
  vars_files:
  - '{{ playbook_dir }}/vars/add_vars.yml'

  collections:
    - pensando.dss
  tasks:
  - name: Create Network Object with VLAN on PSM
    dss_network_no_policy:
      state: present
      psm_host: '{{ lookup("env", "PSM_IP") }}'
      psm_user: '{{ lookup("env", "PSM_USER") }}'
      psm_password: '{{ lookup("env", "PSM_PASSWORD") }}'
      network_name: VLAN_'{{ lookup("env", "TEST_VLAN") }}'
      tenant: default
      vlan_id: '{{ lookup("env", "TEST_VLAN") }}'
      virtual_router: 'ansible_test_vrf'
